openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Albert Lee (Updated) (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (OPENJPA-1693) Type introspection can upgrade to Java 5 or greater to rid of reflection
Date Fri, 03 Feb 2012 17:15:54 GMT

     [ https://issues.apache.org/jira/browse/OPENJPA-1693?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Albert Lee updated OPENJPA-1693:
--------------------------------

    Fix Version/s:     (was: 2.2.0)

Remove fix version in preparation for 2.2.0 release.
                
> Type introspection can upgrade to Java 5 or greater to rid of reflection
> ------------------------------------------------------------------------
>
>                 Key: OPENJPA-1693
>                 URL: https://issues.apache.org/jira/browse/OPENJPA-1693
>             Project: OpenJPA
>          Issue Type: Improvement
>          Components: kernel
>            Reporter: Pinaki Poddar
>            Assignee: Pinaki Poddar
>            Priority: Minor
>
> OpenJPA type introspection is flexible to cope with Java versions as new type facilities
had been introduced. However the code has to use full of reflection to use ParameterizedType
etc. 
> As we have now deprecated support for JRE 4 -- should we get rid of reflection?

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message